@import "./abstracts/mixins";
@import "./abstracts/variables";
@import "../fonts/fonts";

.header{
  background-color: $background-color;
  padding: 20px 20px;
  width: 100%;
  position: fixed;
  z-index: 100;
  @include flex(row, space-between,);

  @media (min-width: $bp-md) {
    padding: 20px 30px;
  }
  @media (min-width: $bp-lg){
    padding: 25px 70px;
  }
}
.header__logo{
  display: flex;
  & p{
    display: none;

    @media (min-width: $bp-md) {
      display: inline;
      color: $black-color;
      text-align: center;
      font-family: 'Gilroy',sans-serif;
      font-size: 35px;
      font-style: normal;
      font-weight: 800;
      line-height: normal;
      letter-spacing: -0.7px;
      margin-left: 10px;
      position: relative;

      & span{
        font-family: 'Gilroy-Medium',sans-serif;
        font-weight: 400;
        text-transform: uppercase;

        &::after{
          display: inline;
          content: '®';
          font-size: 25px;
          position: absolute;
          top: 0;
          right: -20px;
        }
      }
    }
  }
}
.header__menu{
  color: $second-shade-black;
  text-align: center;
  font-family: "Gilroy-SemiBold",sans-serif;
  font-size: 25px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
}
